4Suite™ API Documentation

# ► Module Ft.Server.Server.Http

HTTP and SOAP server for the repostiory
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtServerHttpException, HttpModule

## Classes

class FtServerHttpException(Ft.Server.FtServerBaseException)
Exception class for errors specific to the HTTP and SOAP servers

### Methods inherited from class Ft.Server.FtServerBaseException

__init__

### Methods inherited from class Ft.FtException

__getattr__, __repr__, __str__

### Methods inherited from class exceptions.Exception

__getitem__

### Fields

MessageSource = <module 'Ft.Server.Server.Http.MessageSource' fr...i386-2.4/Ft/Server/Server/Http/MessageSource.py'>

class HttpModule(Ft.Server.Server.Module)

### Methods

initialize(self, parser, config)
setAuthName(self, parser, config, name, data, attrs)
setDefaultXslt(self, parser, config, name, data, attrs)
setDocumentRoot(self, parser, config, name, data, attrs)
setHttpPostEncodingVar(self, parser, config, name, data, attrs)
setMandatoryAuth(self, parser, config, name, data, attrs)
setRedirect(self, parser, config, name, data, attrs)
setRule(self, parser, config, name, data, attrs)
setSessionAnonymousFlag(self, parser, config, name, data, attrs)
setSessionInvalidLoginUri(self, parser, config, name, data, attrs)
setSessionInvalidUri(self, parser, config, name, data, attrs)
setSessionLoginUri(self, parser, config, name, data, attrs)
setSessionMethod(self, parser, config, name, data, attrs)
setSessionPassword(self, parser, config, name, data, attrs)
setSessionPermissionDeniedUri(self, parser, config, name, data, attrs)
setSessionTtl(self, parser, config, name, data, attrs)
setSessionUserName(self, parser, config, name, data, attrs)

### Methods inherited from class Ft.Server.Server.Module

loadObject

### Fields

commands = {('http://xmlns.4suite.org/reserved', 'AuthName'): 'setAuthName', ('http://xmlns.4suite.org/reserved', 'DefaultXslt'): 'setDefaultXslt', ('http://xmlns.4suite.org/reserved', 'DocumentRoot'): 'setDocumentRoot', ('http://xmlns.4suite.org/reserved', 'HttpPostEncodingVar'): 'setHttpPostEncodingVar', ('http://xmlns.4suite.org/reserved', 'MandatoryAuth'): 'setMandatoryAuth', ('http://xmlns.4suite.org/reserved', 'Redirect'): 'setRedirect', ('http://xmlns.4suite.org/reserved', 'Rule'): 'setRule', ('http://xmlns.4suite.org/reserved', 'SessionAnonymousFlag'): 'setSessionAnonymousFlag', ('http://xmlns.4suite.org/reserved', 'SessionInvalidLoginUri'): 'setSessionInvalidLoginUri', ('http://xmlns.4suite.org/reserved', 'SessionInvalidUri'): 'setSessionInvalidUri', ...}
handlers = {'http_basic': <class Ft.Server.Server.Http.Basic.BasicHttpHandler>}